:root {
  --color-light: #EDE9E6;
  --color-dark: #1B1B1B;
  --color-accent: #C9996B;

  --color-fg: var(--color-dark);
  --color-bg: var(--color-light);
}

@media (prefers-color-scheme: dark) {
  :root {
    --color-fg: var(--color-light);
    --color-bg: var(--color-dark);
  }
}

* {
  color: inherit;
  box-sizing: border-box;
}

body {
  font-family: Roboto, Helvetica, sans-serif;
  line-height: 1.5;
  width: 768px;
  margin-inline: auto;
  padding: 0;
  color: var(--color-fg);
  background-color: var(--color-bg);
  font-size: 18px;
}

@media screen and (max-width: 768px) {
  body {
    width: 100%; 
    margin: 0;
    padding-inline: 1rem;
  }
}

h1 { font-size: 32px; }
h2 { font-size: 24px; }

h1, h2, h3 {
  margin: 0;
  color: var(--color-accent);
}

.location-education > div {
  margin-block: 1rem;
}
.location-education p {
  margin: 0;
  font-size: 16px;
}

.location-education-item {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}

.job {
  display: flex;
  gap: 2rem;
  margin-block: 2rem;
}

@media screen and (max-width: 768px) {
  .job {
    flex-direction: column;
    gap: 0;
  }
}

.daterange {
  min-width: 11.75rem;
  width: 11.75rem;
}
.daterange > p { margin: 4px; }
.daterange .duration {
  opacity: 0.6;
  font-size: 14px;
}
@media screen and (max-width: 768px) {
  .daterange {
    min-width: unset;
    width: unset;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
  }
  .daterange br { display: none; }
}

.job-title {
  display: flex;
  gap: 1rem;
  margin-bottom: 2px;
}
@media screen and (max-width: 768px) {
  .job-title { font-size: 20px }
}

.job-link {
  font-size: 14px;
  opacity: 0.6;
}
@media print { .job-link { text-decoration: none; } }

.techstack {
  font-size: 16px;
}

header {
  padding-block: 0.5rem;
}

.print-button {
  background-color: var(--color-bg);
  border: 2px solid var(--color-accent);
  border-radius: 6px;
  padding-inline: 1rem;
  padding-block: 0.5rem;
  font-size: 14px;
}
.print-button:hover { cursor: pointer; }

.print-button-wrapper {
  display: flex;
  justify-content: center;
  margin-top: 2rem;
}
@media print { .print-button-wrapper { display: none; } }

.facename {
  text-decoration: none;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1rem;
}
@media screen and (max-width: 768px) {
  .facename { font-size: 24px; }
}
@media print {
  .facename {
    flex-direction: row;
  }
  .facename img { width: 100px; height: 100px }
}

.hobby {
  margin-bottom: 2rem;
}

.hobby-title {
  text-align: center;
}
